API SpecificationPRIVATExeonr.auth.private.v1.OrganisationService
Update Organisation Email Config
Authorization
BearerAuth AuthorizationBearer <token>
JWT access token for internal API access. Requires 'private' scope for most endpoints, 'admin' scope for administrative operations.
In: header
Header Parameters
Connect-Protocol-Version*number
Define the version of the Connect protocol
Value in
1Connect-Timeout-Ms?number
Define the timeout, in ms
Request Body
application/json
email?|
iacManaged?boolean
[key: string]?never
Response Body
application/json
application/json
curl -X POST "https://auth.xeonr.io/xeonr.auth.private.v1.OrganisationService/UpdateOrganisationEmailConfig" \ -H "Connect-Protocol-Version: 1" \ -H "Content-Type: application/json" \ -d '{}'{
"email": {
"useGlobal": true,
"fromAddress": "string",
"fromName": "string",
"ses": {
"region": "string",
"accessKeyId": "string",
"secretAccessKey": "string",
"secretAccessKeySet": true,
"sessionToken": "string",
"sessionTokenSet": true
}
},
"iacManaged": true
}{
"code": "not_found",
"message": "string",
"details": [
{
"type": "string",
"value": "string",
"debug": {}
}
]
}